textures/skalez/nightsky
{
	qer_editorimage textures/skalez/nightsky.tga
//	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .2 .2 .7 120 50 75
	q3map_surfacelight 50
	skyparms env/night - -
}

textures/skalez/rain
{
	qer_editorimage textures/skalez/rain.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none

	{
		map textures/skalez/rain.tga
		tcMod Scroll .01 2
		tcMod turb .1 .15 0 -.1
		blendFunc GL_ONE GL_ONE
	}
}

textures/skalez/pool2
{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}

textures/skalez/streetlight
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
		{
		 clampmap textures/skalez/streetlight.tga
		 blendFunc GL_ONE GL_ONE
		}
}

textures/skalez/w2k_tree1
{
        qer_editorimage textures/skalez/w2k_tree1.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/urban_terror3/w2k_tree1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/skalez/windows2
{
	cull none
        surfaceparm trans
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
           
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/skalez/w2k_bush1
{
        qer_editorimage textures/skalez/w2k_bush1.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/skalez/w2k_bush1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/skalez/checker
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}


textures/skalez/steel
{
	surfaceparm	metalsteps		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/skalez/steel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}


}


textures/skalez/mtl_grtx
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/skalez/mtl_grtx.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/skalez/fence
{
	surfaceparm trans		
        nopicmip

	{
		map textures/skalez/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/skalez/blue_marble
{
	{
		map textures/skalez/blue_marble.jpg
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	                rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/skalez/mtlrail
{
	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid	
        nopicmip

	{
		map textures/skalez/mtlrail.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/skalez/de-r_mtl2b
{
	{
		map textures/skalez/de-r_mtl2b.jpg
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	                rgbGen wave sin .25 3 1 0
		blendfunc add
	}	          		
}

textures/skalez/wgrey10
{   	
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm playerclip
	cull none
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}

}

textures/skalez/orangepip
{
	{
		map textures/skalez/orangepip.tga
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	                rgbGen wave sin .25 3 1 0
		blendfunc add
	}	          		
}